Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.behaviors
Class Storing

    java.lang.Object
      org.picocontainer.behaviors.AbstractBehaviorFactory
          org.picocontainer.behaviors.Storing

All Implemented Interfaces:
  Serializable, BehaviorFactory, ComponentFactory

    public class Storing

extends AbstractBehaviorFactory

Author:
  Paul Hammant
See Also:
  Serialized Form

Nested Class Summary
`static class` | `Storing.StoreThreadLocal`
`static class` | `Storing.StoreWrapper`

Constructor Summary
`Storing()`

Method Summary
`
`<T> ComponentAdapter<T>`
` | `addComponentAdapter(ComponentMonitor componentMonitor, LifecycleStrategy lifecycleStrategy, Properties componentProperties, ComponentAdapter<T> adapter)`
`
`<T> ComponentAdapter<T>`
` | `createComponentAdapter(ComponentMonitor componentMonitor, LifecycleStrategy lifecycleStrategy, Properties componentProperties, Object componentKey, Class<T> componentImplementation, Parameter... parameters)` Create a new component adapter based on the specified arguments.
`Storing.StoreWrapper` | `getCacheForThread()`
`int` | `getCacheSize()`
`void` | `invalidateCacheForThread()`
`void` | `putCacheForThread(Storing.StoreWrapper wrappedMap)`
`Storing.StoreWrapper` | `resetCacheForThread()`

Methods inherited from class org.picocontainer.behaviors.AbstractBehaviorFactory
`accept, arePropertiesPresent, getAndRemovePropertiesIfPresentByKey, mergeProperties, removePropertiesIfPresent, verify, wrap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Storing

    public Storing()

Method Detail

### createComponentAdapter

    public <T> ComponentAdapter<T> createComponentAdapter(ComponentMonitor componentMonitor,
                                                          LifecycleStrategy lifecycleStrategy,
                                                          Properties componentProperties,
                                                          Object componentKey,
                                                          Class<T> componentImplementation,
                                                          Parameter... parameters)
                                               throws PicoCompositionException

  Description copied from interface: `ComponentFactory`
  Create a new component adapter based on the specified arguments.

  Specified by:
    `createComponentAdapter` in interface `ComponentFactory`
  Overrides:
    `createComponentAdapter` in class `AbstractBehaviorFactory`
  Parameters:
    `componentMonitor` - the component monitor
    `lifecycleStrategy` - te lifecycle strategy
    `componentProperties` - the component properties
    `componentKey` - the key to be associated with this adapter. This value should be returned from a call to `ComponentAdapter.getComponentKey()` on the created adapter.
    `componentImplementation` - the implementation class to be associated with this adapter. This value should be returned from a call to `ComponentAdapter.getComponentImplementation()` on the created adapter. Should not be null.
    `parameters` - additional parameters to use by the component adapter in constructing component instances. These may be used, for example, to make decisions about the arguments passed into the component constructor. These should be considered hints; they may be ignored by some implementations. May be null, and may be of zero length.
  Returns:
    a new component adapter based on the specified arguments. Should not return null.
  Throws:
    `PicoCompositionException` - if the creation of the component adapter results in a `PicoCompositionException`.

### addComponentAdapter

    public <T> ComponentAdapter<T> addComponentAdapter(ComponentMonitor componentMonitor,
                                                       LifecycleStrategy lifecycleStrategy,
                                                       Properties componentProperties,
                                                       ComponentAdapter<T> adapter)

  Specified by:
    `addComponentAdapter` in interface `BehaviorFactory`
  Overrides:
    `addComponentAdapter` in class `AbstractBehaviorFactory`

### getCacheForThread

    public Storing.StoreWrapper getCacheForThread()

### putCacheForThread

    public void putCacheForThread(Storing.StoreWrapper wrappedMap)

### resetCacheForThread

    public Storing.StoreWrapper resetCacheForThread()

### invalidateCacheForThread

    public void invalidateCacheForThread()

### getCacheSize

    public int getCacheSize()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.